Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait Logic extends Debugging
  Definition Classes
    patmat
-  trait PropositionalLogic extends AnyRef
  Definition Classes
    Logic
-  object AnalysisBudget
  Definition Classes
    PropositionalLogic
- Exception
- formulaSizeExceeded

c

scala.tools.nsc.transform.patmat.Logic.PropositionalLogic.AnalysisBudget

# Exception 

###

#### abstract class Exception extends RuntimeException

Source
  Logic.scala

Linear Supertypes
java.lang.RuntimeException, java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Known Subclasses
formulaSizeExceeded
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Exception
2. RuntimeException
3. Exception
4. Throwable
5. Serializable
6. AnyRef
7. Any

Implicitly

1. by RichException
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Exception(advice: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Exception to any2stringadd[Exception] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Exception, B)
   Implicit
     This member is added by an implicit conversion from Exception to ArrowAssoc[Exception] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def addSuppressed(arg0: java.lang.Throwable): Unit
   Definition Classes
     Throwable
7.  val advice: String
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (Exception) ⇒ Boolean, msg: ⇒ Any): Exception
    Implicit
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Exception) ⇒ Boolean): Exception
    Implicit
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): Exception
    Implicit
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Exception
    Implicit
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def fillInStackTrace(): java.lang.Throwable
    Definition Classes
      Throwable
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Exception to StringFormat[Exception] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  def getCause(): java.lang.Throwable
    Definition Classes
      Throwable
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
22.  def getMessage(): String
    Definition Classes
      Throwable
23.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
24.  final def getSuppressed(): Array[java.lang.Throwable]
    Definition Classes
      Throwable
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
26.  def initCause(arg0: java.lang.Throwable): java.lang.Throwable
    Definition Classes
      Throwable
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
31.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
32.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
33.  def printStackTrace(): Unit
    Definition Classes
      Throwable
34.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def →[B](y: B): (Exception, B)
    Implicit
      This member is added by an implicit conversion from Exception to ArrowAssoc[Exception] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def getStackTraceString: String
   Implicit
     This member is added by an implicit conversion from Exception to RichException performed by method RichException in scala.Predef.
   Definition Classes
     RichException
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use Throwable#getStackTrace

### Inherited from java.lang.RuntimeException

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion RichException from Exception to RichException

### Inherited by implicit conversion any2stringadd from Exception to any2stringadd[Exception]

### Inherited by implicit conversion StringFormat from Exception to StringFormat[Exception]

### Inherited by implicit conversion Ensuring from Exception to Ensuring[Exception]

### Inherited by implicit conversion ArrowAssoc from Exception to ArrowAssoc[Exception]

### Ungrouped